#
# spec file for package yast2-iscsi-lio-server
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-iscsi-lio-server
Version:        3.2.2
Release:        0

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

Group:          System/YaST
License:        GPL-2.0
BuildRequires:  docbook-xsl-stylesheets doxygen libxslt popt-devel sgml-skel update-desktop-files yast2 yast2-packagemanager-devel
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  rubygem(%rb_default_ruby_abi:rspec)
BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)
BuildRequires:  rubygem(rspec)
Requires:       lio-utils

# network needs Wizard::OpenCancelOKDialog()
#  function from yast2-2.18.2
# Wizard::SetDesktopTitleAndIcon()
Requires:       yast2 >= 2.21.22

BuildArchitectures:	noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:	Configuration of iSCSI LIO target

%description
This package contains configuration of iSCSI LIO target

%prep
%setup -n %{name}-%{version}

%check
rake test:unit

%build

%install
rake install DESTDIR="%{buildroot}"


%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/iscsi-lio-server
%{yast_yncludedir}/iscsi-lio-server/*
%dir %{yast_clientdir}/
%{yast_clientdir}/*.rb
%dir %{yast_moduledir}
%{yast_moduledir}/*
%dir %{yast_desktopdir}
%{yast_desktopdir}/iscsi-lio-server.desktop
%dir %{yast_scrconfdir}
%{yast_scrconfdir}/ietd.scr
%doc %{yast_docdir}

%license COPYING
